package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 计算方法信息VO
 * @author 萌
 */
public class CountRuleVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 录取规则id */
    private Long acceptRuleId;

    /** 投档公式id */
    private Long sendRuleId;

    /** 录取公式 */
    private String acceptRuleStr;

    /** 投档公式 */
    private String sendRuleStr;

    /** 综合分 */
    private BigDecimal totalScore;

    /** 满分达成率 */
    private String fullScoreRate;

    /** 转换系数 */
    private BigDecimal changeRate;

    /** 录取原则 */
    private String  ruleStr;

    /** 投档公式 */
    private String  ruleCountStr;

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public String getRuleCountStr() {
        return ruleCountStr;
    }

    public void setRuleCountStr(String ruleCountStr) {
        this.ruleCountStr = ruleCountStr;
    }

    public Long getSendRuleId() {
        return sendRuleId;
    }

    public void setSendRuleId(Long sendRuleId) {
        this.sendRuleId = sendRuleId;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public String getAcceptRuleStr() {
        return acceptRuleStr;
    }

    public void setAcceptRuleStr(String acceptRuleStr) {
        this.acceptRuleStr = acceptRuleStr;
    }

    public String getSendRuleStr() {
        return sendRuleStr;
    }

    public void setSendRuleStr(String sendRuleStr) {
        this.sendRuleStr = sendRuleStr;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public String getFullScoreRate() {
        return fullScoreRate;
    }

    public void setFullScoreRate(String fullRate) {
        this.fullScoreRate = fullRate;
    }

    public BigDecimal getChangeRate() {
        return changeRate;
    }

    public void setChangeRate(BigDecimal changeRate) {
        this.changeRate = changeRate;
    }

    @Override
    public String toString() {
        return "CountRuleVO{" +
                "acceptRuleId=" + acceptRuleId +
                "sendRuleId=" + sendRuleId +
                ", acceptRuleStr='" + acceptRuleStr + '\'' +
                ", sendRuleStr='" + sendRuleStr + '\'' +
                ", totalScore=" + totalScore +
                ", fullScoreRate='" + fullScoreRate + '\'' +
                ", changeRate=" + changeRate +
                '}';
    }
}
